diff --git a/src/dispnew.c b/src/dispnew.c
index ccb08ec..5e2808b 100644
--- a/src/dispnew.c
+++ b/src/dispnew.c
@@ -2241,6 +4059,16 @@ free_window_matrices (struct window *w)
 	  free_glyph_matrix (w->current_matrix);
 	  free_glyph_matrix (w->desired_matrix);
 	  w->current_matrix = w->desired_matrix = NULL;
+
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+  mc_xfree_cache_matrix (w, &w->mc_matrix);
+
+/* *************************************************************************** */
+
+
 	}
 
       /* Next window on same level.  */
@@ -3387,6 +5215,26 @@ check_current_matrix_flags (struct window *w)
 static bool
 update_window (struct window *w, bool force_p)
 {
+
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+  if (trace_redisplay_p)
+    fprintf (stderr, "update_window (%s)\n", mc_window (w));
+
+  struct mc_essentials essentials;
+  mc_set_essentials (w, &essentials);
+
+  mc_update_window_dryrun (w, force_p, essentials);
+
+  struct glyph_matrix *cursor_matrix = NULL;
+
+  bool draw_p = true;
+
+/* *************************************************************************** */
+
+
   struct glyph_matrix *desired_matrix = w->desired_matrix;
   bool paused_p;
   int preempt_count = clip_to_bounds (1, baud_rate / 2400 + 1, INT_MAX);
@@ -3460,6 +5308,47 @@ update_window (struct window *w, bool force_p)
 	    }
 	}
 
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+  /* Process the cursor row at the outset if it is within `desired_matrix`.
+  When processing all other rows, we will query the `w->current_matrix` for data
+  relating to the cursor row.  `make_current` (within `update_window_line')
+  updates the `w->current_matrix` for the applicable row.  In doing so, however,
+  the applicable row in the desired matrix is altered such that we can no longer
+  rely upon the accuracy of `ROW->used[TEXT_AREA]`.  Therefore, we must now rely
+  exclusively upon `w->current_matrix' for cursor row based decisions. */
+  for (struct glyph_row *mc_row = row;
+       mc_row < end && (force_p || !input_pending);
+       ++mc_row)
+    {
+      int vpos = MATRIX_ROW_VPOS (mc_row, desired_matrix);
+      if (mc_row->enabled_p
+          && vpos == w->cursor.vpos)
+        {
+          cursor_matrix = desired_matrix;
+          if (!force_p && ++n_updated % preempt_count == 0)
+            detect_input_pending_ignore_squeezables ();
+          changed_p |= (BUFFERP (w->contents)
+                        && (!NILP (BVAR (XBUFFER (w->contents), mc_conf))
+                            || !NILP (BVAR (XBUFFER (w->contents), crosshairs))
+                            || ! NILP (BVAR (XBUFFER (w->contents), fc_visible))))
+                       ? mc_update_window_line (w, vpos, &mouse_face_overwritten_p,
+                                                cursor_matrix, essentials, draw_p)
+                       : update_window_line (w, vpos, &mouse_face_overwritten_p);
+          if (MATRIX_ROW_BOTTOM_Y (row) >= yb)
+            for (int i = vpos + 1; i < w->current_matrix->nrows - 1; ++i)
+              SET_MATRIX_ROW_ENABLED_P (w->current_matrix, i, false);
+          break;
+        }
+    }
+
+  cursor_matrix = w->current_matrix;
+
+/* *************************************************************************** */
+
+
       /* Update the rest of the lines.  */
       for (; row < end && (force_p || !input_pending); ++row)
 	/* scrolling_window resets the enabled_p flag of the rows it
@@ -3467,6 +5356,19 @@ update_window (struct window *w, bool force_p)
 	if (row->enabled_p)
 	  {
 	    int vpos = MATRIX_ROW_VPOS (row, desired_matrix);
+
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+          /* If the `cursor_row` is within the `desired_matrix`, then it was
+          processed hereinabove and should be skipped at this time. */
+          if (vpos == w->cursor.vpos)
+          continue;
+
+/* *************************************************************************** */
+
+
 	    int i;
 
 	    /* We'll have to play a little bit with when to
@@ -3475,8 +5377,21 @@ update_window (struct window *w, bool force_p)
 	       commands will too quickly pause redisplay.  */
 	    if (!force_p && ++n_updated % preempt_count == 0)
 	      detect_input_pending_ignore_squeezables ();
-	    changed_p |= update_window_line (w, vpos,
-					     &mouse_face_overwritten_p);
+
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+          changed_p |= (BUFFERP (w->contents)
+                        && (!NILP (BVAR (XBUFFER (w->contents), mc_conf))
+                            || !NILP (BVAR (XBUFFER (w->contents), crosshairs))
+                            || ! NILP (BVAR (XBUFFER (w->contents), fc_visible))))
+                       ? mc_update_window_line (w, vpos, &mouse_face_overwritten_p,
+                                                cursor_matrix, essentials, draw_p)
+                       : update_window_line (w, vpos, &mouse_face_overwritten_p);
+
+/* *************************************************************************** */
+
 
 	    /* Mark all rows below the last visible one in the current
 	       matrix as invalid.  This is necessary because of
@@ -3497,6 +5412,41 @@ update_window (struct window *w, bool force_p)
 
     set_cursor:
 
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+  /* If we jumped here from `set_cursor`, then set the `cursor_matrix`. */
+  if (cursor_matrix == NULL)
+    cursor_matrix = w->current_matrix;
+
+  /* Reset `row` to 0 so that fake cursors can be drawn on rows preceding the
+  first `row->enabled_p`.  Just prior to the call to `scrolling_window' above,
+  `row` was advanced to the first `row->enabled_p`. */
+  for (struct glyph_row *desired_row = MATRIX_ROW (desired_matrix, 0);
+       desired_row < end
+       && (force_p || !input_pending)
+       /* W32 Emacs crashes on startup without a BUFFERP check. */
+       && BUFFERP (w->contents)
+       && (!NILP (BVAR (XBUFFER (w->contents), mc_conf))
+           || !NILP (BVAR (XBUFFER (w->contents), crosshairs))
+           || !NILP (BVAR (XBUFFER (w->contents), fc_visible)));
+       ++desired_row)
+    {
+      int vpos = MATRIX_ROW_VPOS (desired_row, desired_matrix);
+      if (desired_row->enabled_p)
+        continue;
+      struct glyph_row *current_row = MATRIX_ROW (w->current_matrix, vpos);
+      enum mc_row_position row_position = mc_row_position (w, current_row, current_row, vpos);
+      if (current_row->enabled_p)
+        mc_draw_row (w, w->current_matrix, current_row, current_row->glyphs[TEXT_AREA],
+                     current_row->x, current_row->used[TEXT_AREA], vpos,
+                     cursor_matrix, essentials, row_position, draw_p, SET_CURSOR_TWO);
+    }
+
+/* *************************************************************************** */
+
+
       /* Update the header line after scrolling because a new header
 	 line would otherwise overwrite lines at the top of the window
 	 that can be scrolled.  */
@@ -3512,7 +5462,49 @@ update_window (struct window *w, bool force_p)
 #ifdef HAVE_WINDOW_SYSTEM
 	  if (changed_p && rif->fix_overlapping_area)
 	    {
-	      redraw_overlapped_rows (w, yb);
+
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+/* `redraw_overlapped_rows':  Redraw lines from the current matrix of window W
+that are overlapped by other rows.  YB is bottom-most y-position in W.  If rows
+overlapping others have been changed, the rows being overlapped have to be
+redrawn.  This won't draw lines that have already been drawn in update_window
+line because overlapped_p in desired rows is 0, so after row assignment
+overlapped_p in current rows is 0. */
+  struct frame *f = XFRAME (WINDOW_FRAME (w));
+  for (int i = 0; i < w->current_matrix->nrows; ++i)
+    {
+      struct glyph_row *row = w->current_matrix->rows + i;
+      if (!row->enabled_p)
+        break;
+        else if (row->mode_line_p)
+          continue;
+      if (row->overlapped_p)
+        {
+          for (enum glyph_row_area area = LEFT_MARGIN_AREA; area < LAST_AREA; ++area)
+            {
+              output_cursor_to (w, i, 0, row->y, area == TEXT_AREA ? row->x : 0);
+              if (!mc_redraw_row (w, w->current_matrix, row, area, row->x, 0,
+                                  row->used[area], true, DRAW_NORMAL_TEXT,
+                                  UPDATE_WINDOW__REDRAW_OVERLAPPED_ROWS)
+                  && row->used[area])
+                {
+                  FRAME_RIF (f)->write_glyphs (w, row, row->glyphs[area], area,
+                                               row->used[area]);
+                  FRAME_RIF (f)->clear_end_of_line (w, row, area, -1);
+                }
+            }
+          row->overlapped_p = 0;
+        }
+      if (MATRIX_ROW_BOTTOM_Y (row) >= yb)
+        break;
+    }
+
+/* *************************************************************************** */
+
+
 	      redraw_overlapping_rows (w, yb);
 	    }
 #endif
@@ -3531,10 +5523,21 @@ update_window (struct window *w, bool force_p)
       strcpy (w->current_matrix->method, w->desired_matrix->method);
 #endif
 
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
 #ifdef HAVE_WINDOW_SYSTEM
+  if (BUFFERP (w->contents)
+      && !NILP (BVAR (XBUFFER (w->contents), crosshairs)))
+    mc_update_window_fringes (w, 0);
+    else
       update_window_fringes (w, 0);
 #endif
 
+/* *************************************************************************** */
+
+
       /* End the update of window W.  Don't set the cursor if we
          paused updating the display because in this case,
          set_window_cursor_after_update hasn't been called, and
diff --git a/src/frame.h b/src/frame.h
index ec8f614..eeaf71e 100644
--- a/src/frame.h
+++ b/src/frame.h
@@ -205,6 +205,16 @@ struct frame
   Lisp_Object tool_bar_items;
   /* tool_bar_items should be the last Lisp_Object member.  */
 
+
+/* *************************************************************************** */
+/* MULTIPLE-CURSORS */
+
+  /* Non-nil when the frame is in the process of being updated. */
+  struct frame *mc_updating_frame;
+
+/* *************************************************************************** */
+
+
   /* Cache of realized faces.  */
   struct face_cache *face_cache;
 
diff --git a/src/fringe.c b/src/fringe.c
index 335a6eb..d70c55f 100644
--- a/src/fringe.c
+++ b/src/fringe.c
@@ -438,6 +438,460 @@ static unsigned short empty_line_bits[] = {
 #define STANDARD_BITMAP_HEIGHT(bits) (sizeof (bits)/BYTES_PER_BITMAP_ROW)
 #define FRBITS(bits)  bits, STANDARD_BITMAP_HEIGHT (bits)
 
+
+/* *************************************************************************** */
+/* begin MULTIPLE-CURSORS */
+
+/* `+-fringe-helper-decimal' defined in `crosshairs.el` */
+
+/* TODO:  Consider adding the following fringe bitmaps:
+  (define-fringe-bitmap 'breakpoint "\x3c\x7e\xff\xff\xff\xff\x7e\x3c")
+  (define-fringe-bitmap 'hollow-right-triangle "\xe0\x90\x88\x84\x84\x88\x90\xe0") */
+
+/* 24
+    (+-fringe-helper-hexadecimal
+      "x......."
+      "x......."
+      "x......."
+      "x..xx..."
+      "x...xx.."
+      "x....xx."
+      "x.xxxxxx"
+      "x.xxxxxx"
+      "x....xx."
+      "x...xx.."
+      "x..xx..."
+      "x......."
+      "x......."
+      "x.......")
+*/
+static unsigned short mc_vertical_bar_right_arrow_bits[] ={
+  0x80, 0x80, 0x80, 0x98, 0x8c, 0x86, 0xbf,
+  0xbf, 0x86, 0x8c, 0x98, 0x80, 0x80, 0x80};
+
+/* 25
+    (+-fringe-helper-hexadecimal
+      "......xx"
+      "......xx"
+      "......xx"
+      ".xx...xx"
+      "..xx..xx"
+      "...xx.xx"
+      "xxxxxxxx"
+      "xxxxxxxx"
+      "...xx.xx"
+      "..xx..xx"
+      ".xx...xx"
+      "......xx"
+      "......xx"
+      "......xx")
+*/
+static unsigned short mc_reversed_vertical_bar_right_arrow_bits[] ={
+  0x3, 0x3, 0x3, 0x63, 0x33, 0x1b, 0xff, 0xff, 0x1b, 0x33, 0x63, 0x3, 0x3, 0x3};
+
+/* 26
+    (+-fringe-helper-hexadecimal
+      "xxxxxxxx"
+      "x......x"
+      "x......x"
+      "x..xx..x"
+      "x...xx.x"
+      "x....xxx"
+      "x.xxxxxx"
+      "x.xxxxxx"
+      "x....xxx"
+      "x...xx.x"
+      "x..xx..x"
+      "x......x"
+      "x......x"
+      "xxxxxxxx")
+*/
+static unsigned short mc_hollow_rectangle_right_arrow_bits[] ={
+  0xff, 0x81, 0x81, 0x99, 0x8d, 0x87, 0xbf,
+  0xbf, 0x87, 0x8d, 0x99, 0x81, 0x81, 0xff};
+
+/* 27
+    (+-fringe-helper-hexadecimal
+      "xxxxxxxx"
+      "x.....xx"
+      "x.....xx"
+      "x.xx..xx"
+      "x..xx.xx"
+      "x...xxxx"
+      "xxxxxxxx"
+      "xxxxxxxx"
+      "x...xxxx"
+      "x..xx.xx"
+      "x.xx..xx"
+      "x.....xx"
+      "x.....xx"
+      "xxxxxxxx")
+*/
+static unsigned short mc_reversed_hollow_rectangle_right_arrow_bits[] ={
+  0xff, 0x81, 0x81, 0xb1, 0x99, 0x8d, 0xff,
+  0xff, 0x8d, 0x99, 0xb1, 0x81, 0x81, 0xff};
+
+/* 28
+    (+-fringe-helper-hexadecimal
+      "xxxxxxxx"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "x......x"
+      "xxxxxxxx")
+*/
+static unsigned short mc_hollow_rectangle_bits[] ={
+  0xff, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
+  0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0xff};
+
+/* 29
+    (+-fringe-helper-hexadecimal
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x......."
+      "x.......")
+*/
+static unsigned short mc_vertical_bar_bits[] ={
+  0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
+  0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80};
+
+/* 30
+    (+-fringe-helper-hexadecimal
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx"
+      "......xx")
+*/
+static unsigned short mc_reversed_vertical_bar_bits[] ={
+  0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3};
+
+/* 31
+    (+-fringe-helper-hexadecimal
+      "xx......"
+      "xx......"
+      " xx....."
+      ".xx....."
+      "..xx...."
+      "..xx...."
+      "...xx..."
+      "...xx..."
+      "....xx.."
+      "....xx.."
+      ".....xx."
+      ".....xx."
+      "......xx"
+      "......xx")
+*/
+static unsigned short mc_backslash_bits[] ={
+  0xc0, 0xc0, 0xe0, 0x60, 0x30, 0x30, 0x18, 0x18, 0xc, 0xc, 0x6, 0x6, 0x3, 0x3};
+
+/* 32
+    (+-fringe-helper-hexadecimal
+      "xx......"
+      "xx......"
+      "xxx....."
+      "xxx....."
+      "x.xx...."
+      "x.xx...."
+      "x..xx..."
+      "x..xx..."
+      "x...xx.."
+      "x...xx.."
+      "x....xx."
+      "x....xx."
+      "x.....xx"
+      "x.....xx")
+*/
+static unsigned short mc_vertical_bar_backslash_bits[] ={
+  0xc0, 0xc0, 0xe0, 0xe0, 0xb0, 0xb0, 0x98,
+  0x98, 0x8c, 0x8c, 0x86, 0x86, 0x83, 0x83};
+
+/* 33
+    (+-fringe-helper-hexadecimal
+      ".xxxxxx."
+      "xxxx.x.."
+      "xxxx.x.."
+      "xxxx.x.."
+      ".xxx.x.."
+      "...x.x.."
+      "...x.x.."
+      "...x.x.."
+      "...x.x.."
+      "...x.x.."
+      "...x.x..")
+*/
+static unsigned short mc_pilcrow_bits[] ={
+  0x7e, 0xf4, 0xf4, 0xf4, 0x74, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14};
+
+/* 34
+    (+-fringe-helper-hexadecimal
+      "..xxxx.."
+      ".xxxxxx."
+      "x..xx..x"
+      "x..xx..x"
+      "xxxxxxxx"
+      "xx....xx"
+      "xxx..xxx"
+      ".xxxxxx."
+      "..xxxx..")
+*/
+static unsigned short mc_smiley_face_bits[] ={
+  0x3c, 0x7e, 0x99, 0x99, 0xff, 0xc3, 0xe7, 0x7e, 0x3c};
+
+/* 35
+    (+-fringe-helper-hexadecimal
+      "..x....."
+      "...x...."
+      "....x..."
+      ".....x.."
+      "....x..."
+      "...x...."
+      "..x.....")
+*/
+static unsigned short mc_single_angle_right_bits[] ={
+  0x20, 0x10, 0x8, 0x4, 0x8, 0x10, 0x20};
+
+/* 36
+    (+-fringe-helper-hexadecimal
+      ".....x.."
+      "....x..."
+      "...x...."
+      "..x....."
+      "...x...."
+      "....x..."
+      ".....x..")
+*/
+static unsigned short mc_single_angle_left_bits[] ={
+  0x4, 0x8, 0x10, 0x20, 0x10, 0x8, 0x4};
+
+/* 37
+    (+-fringe-helper-hexadecimal
+      "xx.xx..."
+      ".xx.xx.."
+      "..xx.xx."
+      "...xx.xx"
+      "..xx.xx."
+      ".xx.xx.."
+      "xx.xx...")
+*/
+static unsigned short mc_double_angle_right_bits[] ={
+  0xd8, 0x6c, 0x36, 0x1b, 0x36, 0x6c, 0xd8};
+
+/* 38
+    (+-fringe-helper-hexadecimal
+      "...xx.xx"
+      "..xx.xx."
+      ".xx.xx.."
+      "xx.xx..."
+      ".xx.xx.."
+      "..xx.xx."
+      "...xx.xx")
+*/
+static unsigned short mc_double_angle_left_bits[] ={
+  0x1b, 0x36, 0x6c, 0xd8, 0x6c, 0x36, 0x1b};
+
+/* 39
+    (+-fringe-helper-hexadecimal
+      "x.x.x..."
+      ".x.x.x.."
+      "..x.x.x."
+      "...x.x.x"
+      "..x.x.x."
+      ".x.x.x.."
+      "x.x.x...")
+*/
+static unsigned short mc_triple_angle_right_bits[] ={
+  0xa8, 0x54, 0x2a, 0x15, 0x2a, 0x54, 0xa8};
+
+/* 40
+    (+-fringe-helper-hexadecimal
+      "...x.x.x"
+      "..x.x.x."
+      ".x.x.x.."
+      "x.x.x..."
+      ".x.x.x.."
+      "..x.x.x."
+      "...x.x.x")
+*/
+static unsigned short mc_triple_angle_left_bits[] ={
+  0x15, 0x2a, 0x54, 0xa8, 0x54, 0x2a, 0x15};
+
+/* 41
+    (+-fringe-helper-hexadecimal
+      "........"
+      "........"
+      "........"
+      "........"
+      "...x...."
+      "..x.x..."
+      ".x...x.."
+      "x.....x."
+      "........"
+      "........"
+      "........"
+      "........")
+*/
+static unsigned short mc_single_angle_up_bits[] ={
+  0x00, 0x00, 0x00, 0x00, 0x10, 0x28, 0x44, 0x82, 0x00, 0x00, 0x00, 0x00};
+
+/* 42
+    (+-fringe-helper-hexadecimal
+      "........"
+      "........"
+      "........"
+      "........"
+      "x.....x."
+      ".x...x.."
+      "..x.x..."
+      "...x...."
+      "........"
+      "........"
+      "........"
+      "........")
+*/
+static unsigned short mc_single_angle_down_bits[] ={
+  0x00, 0x00, 0x00, 0x00, 0x82, 0x44, 0x28, 0x10, 0x00, 0x00, 0x00, 0x00};
+
+/* 43
+    (+-fringe-helper-hexadecimal
+      "........"
+      "........"
+      "........"
+      "...x...."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x.....x."
+      "........"
+      "........"
+      "........")
+*/
+static unsigned short mc_double_angle_up_bits[] ={
+  0x00, 0x00, 0x00, 0x10, 0x28, 0x44, 0x92, 0x28, 0x44, 0x82, 0x00, 0x00, 0x00};
+
+/* 44
+    (+-fringe-helper-hexadecimal
+      "........"
+      "........"
+      "........"
+      "x.....x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "...x...."
+      "........"
+      "........"
+      "........")
+*/
+static unsigned short mc_double_angle_down_bits[] ={
+  0x00, 0x00, 0x00, 0x82, 0x44, 0x28, 0x92, 0x44, 0x28, 0x10, 0x00, 0x00, 0x00};
+
+/* 45
+    (+-fringe-helper-hexadecimal
+      "........"
+      "...x...."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x.....x."
+      "........")
+*/
+static unsigned short mc_triple_angle_up_bits[] ={
+  0x00, 0x10, 0x28, 0x44, 0x92, 0x28, 0x44, 0x92, 0x28, 0x44, 0x82, 0x00};
+
+/* 46
+    (+-fringe-helper-hexadecimal
+      "........"
+      "x.....x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "...x...."
+      "........")
+*/
+static unsigned short mc_quadruple_angle_down_bits[] ={
+  0x00, 0x82, 0x44, 0x28, 0x92, 0x44, 0x28, 0x92, 0x44, 0x28, 0x10, 0x00};
+
+/* 47
+    (+-fringe-helper-hexadecimal
+      "...x...."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x..x..x."
+      "..x.x..."
+      ".x...x.."
+      "x.....x.")
+*/
+static unsigned short mc_quadruple_angle_up_bits[] ={
+  0x10, 0x28, 0x44, 0x92, 0x28, 0x44, 0x92, 0x28, 0x44, 0x92, 0x28, 0x44, 0x82};
+
+/* 48
+    (+-fringe-helper-hexadecimal
+      "x.....x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "x..x..x."
+      ".x...x.."
+      "..x.x..."
+      "...x....")
+*/
+static unsigned short mc_triple_angle_down_bits[] ={
+  0x82, 0x44, 0x28, 0x92, 0x44, 0x28, 0x92, 0x44, 0x28, 0x92, 0x44, 0x28, 0x10};
+
 /* NOTE:  The order of these bitmaps must match the sequence
    used in fringe.el to define the corresponding symbols.  */
 
